Bug 143852 - FILEOPEN: files with images take longer to open
Summary: FILEOPEN: files with images take longer to open
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
7.3.0.0 alpha0+ Master
Hardware: All All
: medium normal
Assignee: Mike Kaganski
URL:
Whiteboard: target:7.3.0
Keywords: bibisected, bisected, perf, regression
Depends on:
Blocks:
 
Reported: 2021-08-13 08:42 UTC by Xisco Faulí
Modified: 2021-08-18 08:31 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2021-08-13 08:42:16 UTC
Step to reproduce:
1. Open attachment 53342 [details] from bug 42753

in master it takes

real	0m41,662s
user	0m40,970s
sys	0m0,525s

while in previous versions it takes

real	0m6,444s
user	0m5,726s
sys	0m0,561s

Reproduced in

Version: 7.3.0.0.alpha0+ / LibreOffice Community
Build ID: 6daf48b50e1ff3bdd6a9f948c3e267e76b8a89d3
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

[Bug found by office-interoperability-tools]
Comment 1 Xisco Faulí 2021-08-13 08:42:48 UTC
attachment 45188 [details] from bug 35931 is also affected by this issue
Comment 2 Xisco Faulí 2021-08-13 08:43:46 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=b791974837a99ead793b4ead6760b2f4e5237de2

author	Mike Kaganski <mike.kaganski@collabora.com>	2021-08-06 11:35:49 +0200
committer	Mike Kaganski <mike.kaganski@collabora.com>	2021-08-06 14:14:20 +0200
commit	b791974837a99ead793b4ead6760b2f4e5237de2 (patch)
tree	c479e0fb9cbb0a23da57505e1e399eb90cc3d446
parent	6c487d2d7e8aa5cdef55cbd7bc78058184671d82 (diff)
Move ActionLockGuard up a bit

Bisected with: bibisect-linux64-7.3

Adding Cc: to Mike Kaganski
Comment 3 Xisco Faulí 2021-08-13 08:53:40 UTC
attachment 127217 [details] from bug 101989 is also affected. Before the commit it takes

real	0m16,500s
user	0m15,713s
sys	0m0,709s

and after it takes forever ( or almost, I killed it after 3 minutes )
Comment 4 Mike Kaganski 2021-08-13 08:58:15 UTC
https://gerrit.libreoffice.org/c/core/+/120370
Comment 5 Commit Notification 2021-08-13 14:11:55 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/a6ade09983dd95d6ebbd1ecfda564f645629ce34

tdf#143852: Revert "Move ActionLockGuard up a bit"

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2021-08-15 16:19:18 UTC
Commit reverted, closing as RESOLVED FIXED